Skip to content
This repository
Newer
Older
100644 151 lines (140 sloc) 5.375 kb
58698d3e »
2008-11-19 adding hoe-generated gemspec
1 Gem::Specification.new do |s|
03cb12ae »
2010-04-21 convert to use rakegem
2 s.specification_version = 2 if s.respond_to? :specification_version=
58698d3e »
2008-11-19 adding hoe-generated gemspec
3 s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
03cb12ae »
2010-04-21 convert to use rakegem
4 s.rubygems_version = '1.3.5'
5
6 s.name = 'jekyll'
4ece7730 »
2011-12-27 Gah, did not commit these for v0.11.1 version release.
7 s.version = '0.11.1'
8 s.date = '2011-12-27'
03cb12ae »
2010-04-21 convert to use rakegem
9 s.rubyforge_project = 'jekyll'
10
11 s.summary = "A simple, blog aware, static site generator."
12 s.description = "Jekyll is a simple, blog aware, static site generator."
13
14 s.authors = ["Tom Preston-Werner"]
15 s.email = 'tom@mojombo.com'
16 s.homepage = 'http://github.com/mojombo/jekyll'
17
18 s.require_paths = %w[lib]
19
8147c317 »
2009-02-10 gemspec tweak
20 s.executables = ["jekyll"]
03cb12ae »
2010-04-21 convert to use rakegem
21
93e72407 »
2009-04-05 Updated to use jeweler 0.11.0, which lets you exclude files.
22 s.rdoc_options = ["--charset=UTF-8"]
03cb12ae »
2010-04-21 convert to use rakegem
23 s.extra_rdoc_files = %w[README.textile LICENSE]
58698d3e »
2008-11-19 adding hoe-generated gemspec
24
1da88bb3 »
2011-11-26 Update and clarify dependencies.
25 s.add_runtime_dependency('liquid', "~> 2.3")
26 s.add_runtime_dependency('classifier', "~> 1.3")
27 s.add_runtime_dependency('directory_watcher', "~> 1.1")
28 s.add_runtime_dependency('maruku', "~> 0.5")
29 s.add_runtime_dependency('kramdown', "~> 0.13")
30 s.add_runtime_dependency('albino', "~> 1.3")
16ea3262 »
2011-03-06 fix "4.2.1" versioned dev dependencies, and cleanup syntax
31
1da88bb3 »
2011-11-26 Update and clarify dependencies.
32 s.add_development_dependency('rake', "~> 0.9")
33 s.add_development_dependency('rdoc', "~> 3.11")
34 s.add_development_dependency('redgreen', "~> 1.2")
35 s.add_development_dependency('shoulda', "~> 2.11")
36 s.add_development_dependency('rr', "~> 1.0")
37 s.add_development_dependency('cucumber', "= 1.1")
38 s.add_development_dependency('RedCloth', "~> 4.2")
39 s.add_development_dependency('rdiscount', "~> 1.6")
40 s.add_development_dependency('redcarpet', "~> 1.9")
cf779b27 »
2011-04-20 Added Redcarpet for MD conversion
41
03cb12ae »
2010-04-21 convert to use rakegem
42 # = MANIFEST =
43 s.files = %w[
14f371c7 »
2011-05-30 Update gemspec so bundler installs work.
44 Gemfile
03cb12ae »
2010-04-21 convert to use rakegem
45 History.txt
99ee0c48 »
2010-06-22 Release 0.6.0
46 LICENSE
03cb12ae »
2010-04-21 convert to use rakegem
47 README.textile
48 Rakefile
49 bin/jekyll
50 cucumber.yml
51 features/create_sites.feature
52 features/embed_filters.feature
53 features/markdown.feature
54 features/pagination.feature
55 features/permalinks.feature
56 features/post_data.feature
57 features/site_configuration.feature
58 features/site_data.feature
59 features/step_definitions/jekyll_steps.rb
60 features/support/env.rb
61 jekyll.gemspec
62 lib/jekyll.rb
63 lib/jekyll/converter.rb
64 lib/jekyll/converters/identity.rb
65 lib/jekyll/converters/markdown.rb
66 lib/jekyll/converters/textile.rb
67 lib/jekyll/convertible.rb
68 lib/jekyll/core_ext.rb
99ee0c48 »
2010-06-22 Release 0.6.0
69 lib/jekyll/errors.rb
03cb12ae »
2010-04-21 convert to use rakegem
70 lib/jekyll/filters.rb
71 lib/jekyll/generator.rb
72 lib/jekyll/generators/pagination.rb
73 lib/jekyll/layout.rb
74 lib/jekyll/migrators/csv.rb
a8a837cc »
2010-12-15 Release 0.9.0
75 lib/jekyll/migrators/drupal.rb
14f371c7 »
2011-05-30 Update gemspec so bundler installs work.
76 lib/jekyll/migrators/enki.rb
a8a837cc »
2010-12-15 Release 0.9.0
77 lib/jekyll/migrators/marley.rb
03cb12ae »
2010-04-21 convert to use rakegem
78 lib/jekyll/migrators/mephisto.rb
79 lib/jekyll/migrators/mt.rb
14f371c7 »
2011-05-30 Update gemspec so bundler installs work.
80 lib/jekyll/migrators/posterous.rb
03cb12ae »
2010-04-21 convert to use rakegem
81 lib/jekyll/migrators/textpattern.rb
14f371c7 »
2011-05-30 Update gemspec so bundler installs work.
82 lib/jekyll/migrators/tumblr.rb
03cb12ae »
2010-04-21 convert to use rakegem
83 lib/jekyll/migrators/typo.rb
84 lib/jekyll/migrators/wordpress.rb
14f371c7 »
2011-05-30 Update gemspec so bundler installs work.
85 lib/jekyll/migrators/wordpressdotcom.rb
03cb12ae »
2010-04-21 convert to use rakegem
86 lib/jekyll/page.rb
99ee0c48 »
2010-06-22 Release 0.6.0
87 lib/jekyll/plugin.rb
03cb12ae »
2010-04-21 convert to use rakegem
88 lib/jekyll/post.rb
89 lib/jekyll/site.rb
90 lib/jekyll/static_file.rb
91 lib/jekyll/tags/highlight.rb
92 lib/jekyll/tags/include.rb
93 test/helper.rb
31901ee1 »
2010-11-22 Release 0.8.0
94 test/source/.htaccess
03cb12ae »
2010-04-21 convert to use rakegem
95 test/source/_includes/sig.markdown
96 test/source/_layouts/default.html
97 test/source/_layouts/simple.html
98 test/source/_posts/2008-02-02-not-published.textile
99 test/source/_posts/2008-02-02-published.textile
100 test/source/_posts/2008-10-18-foo-bar.textile
101 test/source/_posts/2008-11-21-complex.textile
102 test/source/_posts/2008-12-03-permalinked-post.textile
103 test/source/_posts/2008-12-13-include.markdown
104 test/source/_posts/2009-01-27-array-categories.textile
105 test/source/_posts/2009-01-27-categories.textile
106 test/source/_posts/2009-01-27-category.textile
107 test/source/_posts/2009-01-27-empty-categories.textile
108 test/source/_posts/2009-01-27-empty-category.textile
109 test/source/_posts/2009-03-12-hash-#1.markdown
110 test/source/_posts/2009-05-18-empty-tag.textile
111 test/source/_posts/2009-05-18-empty-tags.textile
112 test/source/_posts/2009-05-18-tag.textile
113 test/source/_posts/2009-05-18-tags.textile
114 test/source/_posts/2009-06-22-empty-yaml.textile
115 test/source/_posts/2009-06-22-no-yaml.textile
116 test/source/_posts/2010-01-08-triple-dash.markdown
117 test/source/_posts/2010-01-09-date-override.textile
118 test/source/_posts/2010-01-09-time-override.textile
119 test/source/_posts/2010-01-09-timezone-override.textile
120 test/source/_posts/2010-01-16-override-data.textile
72b7b1f0 »
2011-07-10 Release 0.11.0
121 test/source/_posts/2011-04-12-md-extension.md
122 test/source/_posts/2011-04-12-text-extension.text
03cb12ae »
2010-04-21 convert to use rakegem
123 test/source/about.html
124 test/source/category/_posts/2008-9-23-categories.textile
125 test/source/contacts.html
126 test/source/css/screen.css
31901ee1 »
2010-11-22 Release 0.8.0
127 test/source/deal.with.dots.html
03cb12ae »
2010-04-21 convert to use rakegem
128 test/source/foo/_posts/bar/2008-12-12-topical-post.textile
129 test/source/index.html
130 test/source/sitemap.xml
131 test/source/win/_posts/2009-05-24-yaml-linebreak.markdown
132 test/source/z_category/_posts/2008-9-23-categories.textile
133 test/suite.rb
134 test/test_configuration.rb
135 test/test_core_ext.rb
136 test/test_filters.rb
137 test/test_generated_site.rb
31901ee1 »
2010-11-22 Release 0.8.0
138 test/test_kramdown.rb
03cb12ae »
2010-04-21 convert to use rakegem
139 test/test_page.rb
140 test/test_pager.rb
141 test/test_post.rb
3fa9af17 »
2010-08-24 Release 0.7.0
142 test/test_rdiscount.rb
14f371c7 »
2011-05-30 Update gemspec so bundler installs work.
143 test/test_redcarpet.rb
03cb12ae »
2010-04-21 convert to use rakegem
144 test/test_site.rb
145 test/test_tags.rb
146 ]
147 # = MANIFEST =
148
149 s.test_files = s.files.select { |path| path =~ /^test\/test_.*\.rb/ }
150 end
Something went wrong with that request. Please try again.